Name:           scudcloud
Version:        1.0.89
Release:        0.1.art
Summary:        Unofficial Slack desktop client

License:        MIT
URL:            https://github.com/raelgc/scudcloud/
Source0:        https://github.com/raelgc/scudcloud/archive/v%{version}.tar.gz

# https://github.com/raelgc/scudcloud/issues/111
Patch0:         scudcloud-issue111-disable-plugins.patch

BuildArch:      noarch
BuildRequires:  desktop-file-utils

Requires:       python3, python3-dbus, python3-gobject, python3-PyQt4, 

%description
ScudCloud is a non official open-source Linux desktop client for Slack(c).

Slack(c) is a platform for team communication.

ScudCloud uses the QT library + Webkit to render the web version of Slack,
but using the QWebkit-Native bridge to improve desktop integration with:

* multiple teams support,
* native system notifications,
* count of unread direct mentions at launcher/sytray icon,
* alert/wobbling on new messages,
* optional "Close to Tray".


%prep
%setup -q
#%patch0 -p1 -b .issue111

%install
rm -rf $RPM_BUILD_ROOT

# rewritten from README.md
SOURCE=scudcloud-1.0
mkdir -p $RPM_BUILD_ROOT/lib
mkdir -p $RPM_BUILD_ROOT/resources
cp $SOURCE/lib/*.py $RPM_BUILD_ROOT/lib
cp $SOURCE/resources/* $RPM_BUILD_ROOT/resources
cp $SOURCE/scudcloud $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cp $SOURCE/scudcloud.desktop $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps
cp $SOURCE/systray/hicolor/* $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/mono-dark/scalable/apps
cp $SOURCE/systray/mono-dark/* $RPM_BUILD_ROOT/usr/share/icons/mono-dark/scalable/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/mono-light/scalable/apps
cp $SOURCE/systray/mono-light/* $RPM_BUILD_ROOT%{_datadir}/icons/mono-light/scalable/apps
mkdir -p $RPM_BUILD_ROOT%{_bindir}

# https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/scudcloud.desktop

# https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc CONTRIBUTING.md LICENSE README.md
%{_bindir}/scudcloud
%{_datadir}/applications/scudcloud.desktop
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/icons/mono-dark/scalable/apps/*
%{_datadir}/icons/mono-light/scalable/apps/*

%changelog
* Tue Nov 10 2015 Scott R. Shinn <scott@atomicorp.com> - 1.0.89-1
- Update to 1.0.89
- Move out from /opt
* Wed Jun 10 2015 Jonathan S. Billings <jsbillin@umich.edu> - 1.0.36-2
- Addressing Issue 111

* Wed Jun 10 2015 Jonathan S. Billings <jsbillin@umich.edu>
- Initial package creation
